Subject: Re: linux-next: build failure after merge of the seccomp tree

From: Kees Cook <[email-masked]>
Date: Wed, 28 Jun 2023 22:30:07 -0700

On Wed, Jun 28, 2023 at 10:27:09PM -0700, Andrei Vagin wrote:
> On Wed, Jun 28, 2023 at 7:50 PM Stephen Rothwell <[email-masked]> wrote:
> >
> > Hi all,
> >
> > After merging the seccomp tree, today's linux-next build (native perf)
> > failed like this:
> >
> > make[3]: *** No rule to make target '/home/sfr/next/perf/bench/sched-seccomp-notify.o', needed by '/home/sfr/next/perf/bench/perf-in.o'.  Stop.
> > make[3]: *** Waiting for unfinished jobs....
> > make[2]: *** [/home/sfr/next/next/tools/build/Makefile.build:140: bench] Error 2
> > make[2]: *** Waiting for unfinished jobs....
> > make[1]: *** [Makefile.perf:682: /home/sfr/next/perf/perf-in.o] Error 2
> > make: *** [Makefile.perf:242: sub-make] Error 2
> > Command exited with non-zero status 2
> >
> > Presumably caused by commit
> >
> >   df614e369b5c ("perf/benchmark: add a new benchmark for seccom_unotify")
> 
> tools/perf/bench/sched-seccomp-notify.c should be in this commit too.
> Probably something went wrong when the patch was applied. I've checked
> that the patch contains this file:
> 
> https://patchew.org/linux/[email-masked]/[email-masked]/
> 
> Kees, could you take a look at this?

Yeah, I had to fix the merge and it looks like I missed the needed "git
add", yet it compiled for me locally. Ugh. I will get this fixed.

-- 
Kees Cook